/* General styles for the modal */

/* 
Styles for the html/body for special modal where we want 3d effects
Note that we need a container wrapping all content on the page for the 
perspective effects (not including the modals and the overlay).
*/
.md-perspective,
.md-perspective body {
	height: 100%;
	/*overflow-y:scroll;*/
}

.md-perspective body  {
	background: #222;
	-webkit-perspective: 600px;
	-moz-perspective: 600px;
	perspective: 600px;
}
body {
overflow: -moz-scrollbars-vertical;
overflow-x: hidden;
overflow-y: auto;
}

.container {
	/*background: #e74c3c;*/
	min-height: 100%;
}

.md-modal {
	position: fixed;
	top: 50%;
	left: 50%;
	width: 50%;
	max-width: 20%;
	min-width: 320px;
	height: 700px;
	z-index: 2000;
	visibility: hidden;
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-transform: translateX(-50%) translateY(-50%);
	-moz-transform: translateX(-50%) translateY(-50%);
	-ms-transform: translateX(-50%) translateY(-50%);
	transform: translateX(-50%) translateY(-50%);
	/*overflow: inherit;*/
}

.md-show {
	visibility: visible;
	overflow: auto;

}

.md-overlay {
	position: fixed;
	width: 100%;
	height: 100%;
	visibility: hidden;
	top: 0;
	left: 0;
	z-index: 1000;
	opacity: 0;
	background: rgba(143,27,15,0.8);
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
	overflow:auto;
}

.md-show ~ .md-overlay {
	opacity: 1;
	visibility: visible;
	overflow:auto;
    z-index:10;
}

/* Content styles */
.md-content {
	color: #fff;
	background: black;
	position: relative;
	border-radius: 3px;
	margin: 0 auto;
	width: 430px;
	font:inherit;
	overflow:auto;
    z-index:10;
}


.md-content h3 {
	margin: 0;
	padding: 0.4em;
	text-align: center;
	font-size: 2.4em;
	font-weight: 300;
	opacity: 0.8;
	background: rgba(0,0,0,0.1);
	border-radius: 3px 3px 0 0;
}

.md-content > div {
	padding: 15px 40px 30px;
	margin: 0;
	font-weight: 300;
	font-size: 1.15em;
	
}

.md-content > div p {
	margin: 0;
	padding: 10px 0;
}

.md-content > div ul {
	margin: 0;
	padding: 0 0 30px 20px;
}

.md-content > div ul li {
	padding: 5px 0;
}

.md-content button {
	/*display: block;
    margin: 0 auto;*/
    /* font-size: 0.8em; */
/*    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    border: 2px solid transparent;
    border-radius: 0px;
    color: #ED2B45;
    border: white;
    border-style: solid;
    border-radius: 1.3em;
    padding: 2%;
    background-color: white;
    padding-right: 0.4em;
    padding-left: .4em;
    margin-top: 32px;*/
    background-color: #ed2b45;
    color: #ffffff;
    border: none;
   /* height: 41px;*/
    font-style: normal;
    width: auto;
    padding: 13px 54px 10px 54px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: normal;
    border-radius: 20px;
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    line-height: inherit;
    transition: background-color 0.2s ease-out;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    background-image: none;
    display: block;
    margin-top: 32px;
    margin: 0 auto;
}

/* Individual modal styles with animations/transitions */

/* Effect 1: Fade in and scale up */
.md-effect-1 .md-content {
	-webkit-transform: scale(0.7);
	-moz-transform: scale(0.7);
	-ms-transform: scale(0.7);
	transform: scale(0.7);
	opacity: 0;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
	overflow:auto;
}

.md-show.md-effect-1 .md-content {
	-webkit-transform: scale(1);
	-moz-transform: scale(1);
	-ms-transform: scale(1);
	transform: scale(1);
	opacity: 1;
	overflow: inherit;
}

@media (max-width: 400px) {
.md-show.md-effect-1 .md-content {
	margin-top: 57%;
    width: 100%;
    margin-bottom: 42%;
    padding-top: 9%;
 }
}
@media (max-width: 1600px) {
.md-content {
    max-width: 20%;
    min-width: 320px;
    padding-bottom: 5%;
    padding-top: 9%;
    overflow:auto;
}
}
@media (min-width: 1601px) {
md-content > div {
    /* padding: 15px 18px 30px; */
    margin: 0;
    font-weight: 300;
    font-size: 1.15em;
    padding-left: 12%;
    padding-right: 0%;
    padding-top: 2%;
}
.md-modal {
	width: 50%;
    max-width: 25%;
}


@-webkit-keyframes rotateRightSideFirst {
	50% { -webkit-transform: translateZ(-50px) rotateY(5deg); -webkit-animation-timing-function: ease-out; }
	100% { -webkit-transform: translateZ(-200px); }
}

@-moz-keyframes rotateRightSideFirst {
	50% { -moz-transform: translateZ(-50px) rotateY(5deg); -moz-animation-timing-function: ease-out; }
	100% { -moz-transform: translateZ(-200px); }
}

@keyframes rotateRightSideFirst {
	50% { transform: translateZ(-50px) rotateY(5deg); animation-timing-function: ease-out; }
	100% { transform: translateZ(-200px); }
}